using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;


namespace SIPAPIDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else       
                MinimizeBox = true;
            #endif
        }

        [DllImport("coredll.dll")]
        private extern static void SipShowIM(uint dwFlag);

        const uint SIPF_OFF = 0x0;
        const uint SIPF_ON = 0x1;

        private void butShowSIP_Click(object sender, EventArgs e)
        {
            // Показываем SIP
            SipShowIM(SIPF_ON);
        }

        private void butHideSIM_Click(object sender, EventArgs e)
        {
            // Прячем SIP
            SipShowIM(SIPF_OFF);
        }
    }
}